-#!/bin/sh
-# Please do not edit this file. It is generated automatically from
-# configure.in and a configure template.
-configdirs=
-
#!/bin/sh
-# Configuration script template
+# Configuration script
# Copyright (C) 1988, 1990, 1991 Free Software Foundation, Inc.
#This file is part of GNU.
# clear some things potentially inherited from environment.
ansi=
+arguments=$*
defaulttargets=
destdir=
fatal=
hostsubdir=
Makefile=Makefile
Makefile_in=Makefile.in
-norecurse=
-recursing=
+norecursion=
+recurring=
removing=
srcdir=
srctrigger=
target=
targets=
commontargets=
+configdirs=
targetsubdir=
template=
verbose=
-nfp | +nf*)
nfp=yes
;;
- -norecurse | +no*)
- norecurse=true
+ -norecursion | +no*)
+ norecursion=true
;;
- -recursing)
- recursing=true
+ -recurring | +recurring | +recurrin | +recurri | +recurr | +recur | +recu | +rec | +re)
+ recurring=true
;;
- -rm | +r*)
+ -rm | +rm)
removing=${arg}
;;
# -srcdir=* | +srcdir=* | +srcdi=* | +srcd=* | +src=* | +sr=* | +s=*)
echo " +help print this message. [normal config]" ;
echo " +gas configure the compilers for use with gas. [native as]" ;
echo " +nfp configure the compilers default to soft floating point. [hard float]" ;
- echo " +norecurse configure this directory only. [recurse]" ;
+ echo " +norecursion configure this directory only. [recurse]" ;
echo " +rm remove this configuration. [build a configuration]" ;
echo " +target=TARGET configure for TARGET. [TARGET = HOST]" ;
echo " +template=TEM rebuild configure using TEM. [normal config]" ;
fi
fi
- if [ -z "${norecurse}" ] ; then
- # If template is relative path, make it absolute for recursing.
+ if [ -z "${norecursion}" ] ; then
+ # If template is relative path, make it absolute for recurring.
if echo "${template}" | grep -s '^/' ; then
true
else
defaulttargets=true
fi
+ host_alias=${host}
+
result=`/bin/sh ./config.sub ${host}`
host_cpu=`echo $result | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
host_vendor=`echo $result | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
;;
esac
;;
-
m68k)
case "${host_vendor}" in
+ cbm)
+ case ${host_os} in
+ amigados) bfd_host=amigados ;;
+ svr4) bfd_host=amix ;;
+ esac
+ ;;
hp)
case "${host_os}" in
hpux) bfd_host=hp9000 ;;
a29k) bfd_host=ultra3
;;
- tahoe | vax)
+ tahoe)
bfd_host=${host_cpu}
;;
+ vax)
+ case "${host_os}" in
+ ultrix) bfd_host=vaxult ;;
+ *) bfd_host=vax ;;
+ esac
+ ;;
esac
fi
for target in ${targets} ; do
+ target_alias=${target}
result=`/bin/sh ./config.sub ${target}`
target_cpu=`echo $result | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
target_vendor=`echo $result | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
#### configure.in per-target parts come in here.
case "${target_vendor}" in
-aout | coff | bout) bfd_target=${target_cpu}-${target_vendor} ;;
+aout | coff | bout | elf) bfd_target=${target_cpu}-${target_vendor} ;;
sony) bfd_target=news ;;
intel) bfd_target=${target_cpu}-coff ;;
+cbm) bfd_target=${target_cpu}-elf ;;
+
+hitachi)
+ case "${target_cpu}" in
+ h8300) bfd_target=h8300-ieee ;;
+ *) echo "bad hitachi cpu" ;;
+ esac
+ ;;
+
+
wrs)
case "${target_cpu}" in
i960) bfd_target=i960-bout ;;
dec)
case "${target_cpu}" in
mips) bfd_target=dec3100 ;;
+ vax) bfd_target=vax ;;
esac
;;
hp)
bfd_target=irix3 ;;
esac
;;
-
-hitachi)
- case "${target_cpu}" in
- h8300) bfd_target=h8300-ieee ;;
- *) echo "bad hitachi cpu" ;;
- esac
- ;;
-
-
none|nyu)
case "${target_cpu}" in
i386) bfd_target=i386-coff ;;
sym1) bfd_target=a29k-coff ;;
esac
;;
+ tahoe | vax) bfd_target=${target_cpu} ;;
esac
;;
*)
## end of per-target part.
# Temporarily, we support only direct subdir builds.
- hostsubdir=Host-${host}
- targetsubdir=Target-${target}
+ hostsubdir=H-${host_alias}
+ targetsubdir=T-${target_alias}
if [ -n "${removing}" ] ; then
if [ -n "${subdirs}" ] ; then
fi
# set target, host, VPATH
- echo "host = ${host}" >> ${Makefile}
- echo "target = ${target}" >> ${Makefile}
+ echo "host_alias = ${host_alias}" >> ${Makefile}
+ echo "host_cpu = ${host_cpu}" >> ${Makefile}
+ echo "host_vendor = ${host_vendor}" >> ${Makefile}
+ echo "host_os = ${host_os}" >> ${Makefile}
+
+ echo "target_alias = ${target_alias}" >> ${Makefile}
+ echo "target_cpu = ${target_cpu}" >> ${Makefile}
+ echo "target_vendor = ${target_vendor}" >> ${Makefile}
+ echo "target_os = ${target_os}" >> ${Makefile}
if [ -n "${subdirs}" ] ; then
echo "subdir = /${hostsubdir}/${targetsubdir}" >> ${Makefile}
# Conditionalize the makefile for this host.
if [ -f ${srcdir}/${host_makefile_frag} ] ; then
- sed -e "/^####/ r ${srcdir}/${host_makefile_frag}" ${Makefile} > Makefile.tem
+ (echo "host_makefile_frag = ${srcdir}/${host_makefile_frag}" ;
+ sed -e "/^####/ r ${srcdir}/${host_makefile_frag}" ${Makefile}) > Makefile.tem
mv Makefile.tem ${Makefile}
fi
# Conditionalize the makefile for this target.
if [ -f ${srcdir}/${target_makefile_frag} ] ; then
- sed -e "/^####/ r ${srcdir}/${target_makefile_frag}" ${Makefile} > Makefile.tem
+ (echo "target_makefile_frag = ${srcdir}/${target_makefile_frag}" ;
+ sed -e "/^####/ r ${srcdir}/${target_makefile_frag}" ${Makefile}) > Makefile.tem
mv Makefile.tem ${Makefile}
fi
using=" using \"${host_makefile_frag}\""
fi
+ # remove any form feeds.
+ sed -e "s/\f//" ${Makefile} > Makefile.tem
+ mv Makefile.tem ${Makefile}
+
if [ -f ${srcdir}/${target_makefile_frag} ] ; then
if [ -z "${using}" ] ; then
andusing=" using \"${target_makefile_frag}\""
andusing=${using}
fi
- if [ -n "${verbose}" -o -z "${recursing}" ] ; then
+ if [ -n "${verbose}" -o -z "${recurring}" ] ; then
echo "Created \"${Makefile}\"" in `pwd`${andusing}.
fi
## end of post-target part.
- if [ "${host}" = "${target}" ] ; then
- echo "Links are now set up for use with a ${target}." \
- > config.status
- # | tee ${srcdir}/config.status
- else
- echo "Links are now set up for host ${host} and target ${target}." \
- > config.status
- # | tee ${srcdir}/config.status
- fi
+ # describe the chosen configuration in config.status.
+ # Make that file a shellscript which will reestablish
+ # the same configuration. Used in Makefiles to rebuild
+ # Makefiles.
+
+ echo "#!/bin/sh
+# ${srcname} was configured as follows:
+${srcdir}/configure" ${arguments} `if [ -z "${norecursion}" ] ; then echo +norecursion ; else true ; fi` > config.status
+ chmod a+x config.status
originaldir=`pwd`
cd ${srcdir}
fi
# If there are subdirectories, then recurse.
- if [ -z "${norecurse}" -a -n "${configdirs}" ] ; then
+ if [ -z "${norecursion}" -a -n "${configdirs}" ] ; then
for configdir in ${configdirs} ; do
if [ -n "${verbose}" ] ; then
echo Configuring ${configdir}...
if [ -d ${configdir} ] ; then
(cd ${configdir} ;
- ./configure -recursing ${host} +target=${target} \
+ ./configure +recurring ${host_alias} +target=${target_alias} \
${verbose} ${subdirs} ${removing} +destdir=${destdir}) \
| sed 's/^/ /'
else
if [ -n "${subdirs}" -a ! -n "${removing}" ] ; then
cd ${hostsubdir}
cat > GNUmakefile << E!O!F
-# Makefile generated by configure for host ${host}.
+# Makefile generated by configure for host ${host_alias}.
ALL := $(shell ls -d Target-*)
exit 0
-#
-# $Log$
-# Revision 1.28 1991/10/01 03:55:37 steve
-# Insert the incidentals and things I forgot to ci last time, same log message:
-#
-# Mon Sep 30 15:13:46 1991 Steve Chamberlain (steve at cygnus.com)
-#
-# * cpu-a29k.c, cpu-i386.c, cpu-m68k.c, cpu-mips.c, cpu-vax.c,
-# cpu-h8300.c, cpu-i960.c, cpu-m88k.c, cpu-sparc.c: added. These
-# files will eventually contain processor specific bits for bfd,
-# like strange relocation information and dis/assembly. So far only
-# the H8 has been even partially done. This work also ties in with
-# the change in handling architectures.
-#
-# * amdcoff.c: (a29k_reloc) fix error message.
-#
-# * aout-f1.h: (choose_reloc_size) now calls bfd_get_arch to
-# discover the architecture of the bfd. (sunos4_callback) calls the
-# function bfd_set_arch_mach rather than stuffing stuff directly
-# into the bfd. (sunos4_write_object_contents), changed names of
-# accessor functions.
-#
-# * aoutx.h: (set_arch_mach) now calls bfd_default_set_arch_mach to
-# setup the environment.
-#
-# * archive.c: (bfd_slurp_coff_armap) coff archives always have the
-# headers in big endian format, regardless of the endianess of the
-# host or target.
-#
-# * archures.c: totally changed. Now an architecture is represented
-# with a pointer to an info structure rather than an enumerated type
-# and a long. The old info is available as two elements in the
-# structure. Future enhancements to architecure support will
-# involve pointers to methods being placed into the info structure.
-#
-# * bfd.c: changed the definition of the bfd structure for the new
-# architecture stuff.
-#
-# * bout.c: (b_out_set_arch_mach) changed to use the new
-# architecture mechanism.
-#
-# * coffcode.h: (coff_set_arch_mach, coff_set_flags) changed to use
-# the new architecture mechanism.
-#
-# * configure.in: added h8 stuff.
-#
-# * ieee.c: too many changes to note. Now ieee files written with
-# bfd gas and ld can be read by gld and ieee only linkers and
-# simulators.
-#
-# * libbfd.c, libbfd.h: changed prototype of bfd_write.
-#
-# * newsos3.c: (newos3_callback) now calls bfd_set_arch_mach rather
-# than fixing the structure directly.
-#
-# * oasys.c: (oasys_object_p) now calls bfd_default_set_arch_mach rather
-# than fixing the structure directly.
-#
-# * opncls.c: (new_bfd) makes sure that bfd_init has been called
-# before opening a bfd.
-#
-# * srec.c: (srec_set_arch_mach) now calls bfd_default_set_arch_mach
-# rather than fixing the structure directly.
-#
-# * targets.c: (target_vector) now by defining SELECT_VECS (perhaps
-# in the t/hmake file) a user can select which backends they want
-# linked with bfd without changing the source.
-#
-# * init.c: new, looks after initializing modules.
-#
-# * howto.c: for future use, will allow an application to work out
-# what cookie to use as a handle on a relcoatio howto.
-#
-# Revision 1.27 1991/09/17 00:36:44 rich
-# Updated from configure.in.
-#
-# Revision 1.26 1991/09/13 02:19:42 gnu
-# Propagate
-#
-# Revision 1.37 1991/09/12 00:33:18 rich
-# Add gdbm.
-#
-# Revision 1.36 1991/08/31 03:54:36 rich
-# Welcome emacs to the mess.
-#
-# Revision 1.35 1991/08/26 04:29:31 rich
-# Welcome cvs to the big time.
-#
-# Revision 1.34 1991/08/25 23:40:23 rich
-# rcs enters the soup.
-#
-# Revision 1.33 1991/08/25 21:48:38 rich
-# Adding diff to the fray.
-#
-# Revision 1.32 1991/08/25 20:18:20 rich
-# Adding grep to the fray.
-#
-# Revision 1.31 1991/08/23 04:50:57 rich
-# Minor config polish.
-#
-# Revision 1.22 1991/08/23 03:31:43 rich
-# Minor polish & config mapping.
-#
-# Revision 1.30 1991/08/22 07:15:51 rich
-# Three part names, etc.
-#
-# Revision 1.29 1991/08/20 04:56:51 rich
-# revisiting error messages
-#
-# Revision 1.28 1991/08/16 19:22:17 rich
-# This is the commontargets change and should be considered
-# experimental.
-#
-# Revision 1.27 1991/08/08 01:14:13 rich
-# allow +f to stand in for +subdirs
-#
-# Revision 1.26 1991/08/07 19:21:32 rich
-# +forcesubdirs -> +subdirs
-#
-# Revision 1.25 1991/08/07 07:05:30 rich
-# Added make.
-#
-# Revision 1.24 1991/08/06 19:26:01 rich
-# revised option parsing.
-#
-# Revision 1.23 1991/08/06 19:12:32 rich
-# Host-level GNUmakefiles.
-#
-# Revision 1.22 1991/07/20 01:22:30 rich
-# propogate gdb changes and destdir fix
-#
-# Revision 1.21 1991/07/20 00:55:20 gnu
-# Roll in new configure that handles GDB. Make sure that the "configure"
-# that is checked-in reflects the latest "configure.in", which includes gdb.
-#
-# Revision 1.9 1991/07/06 04:35:51 gnu
-# Fix bug in configure when iterating targets.
-# Depend on alldeps.mak, not ${srcdir}/alldeps.mak, so it can be found
-# in either spot.
-#
-# Revision 1.8 1991/07/05 00:04:58 gnu
-# Thu Jul 4 14:47:06 1991 John Gilmore (gnu at cygint.cygnus.com)
-#
-# * configure.in, Makefile.in: Avoid rebuilding "depend" as much.
-# Avoid declaring Makefile dependencies, because GNU Make stupidly
-# tries to update it if we do.
-#
-# * coffread.c: Revise for minor changes to bfd internal coff
-# indexes.
-#
-# * configure: If -template= is given a relative path, make it
-# absolute before recurring in subdirectories.
-#
-# Revision 1.7 1991/07/04 15:59:46 gnu
-# Make gdb work with configure. Only thing that doesn't work is the -list
-# option (as far as I know).
-#
-# Revision 1.6 1991/06/04 07:28:16 gnu
-# Change GDB over to GNU General Public License version 2.
-#
-# Revision 1.5 1991/05/19 07:26:54 rich
-# configure changes and -opcode.h movement.
-#
-# Revision 1.4 1991/05/19 00:16:45 rich
-# Configure for gdb.
-#
-# Revision 1.10 1991/05/04 00:58:38 rich
-# Fix program name bug.
-#
-# Revision 1.9 1991/05/03 19:14:18 rich
-# Changed getopt to libiberty, commented out an aborted attempt at host
-# level Makefiles because it caused errors on +rm, add a warning for
-# directories expected to be removed on +rm but that don't exist.
-#
-# Revision 1.8 1991/04/24 16:50:59 rich
-# Three staging checkpoint.
-#
-# Revision 1.7 1991/04/17 01:34:47 rich
-# Added getopt for binutils, fixed problem with host dependancies in
-# configure.template.
-#
-# Revision 1.6 1991/04/16 00:18:44 rich
-# Now handles multiple hosts and targets.
-#
-# Revision 1.5 1991/04/15 23:43:44 rich
-# Now handles multiple hosts and targets.
-#
-# Revision 1.4 1991/04/13 02:11:03 rich
-# Config cut 3. We now almost install a29k.
-#
-# Revision 1.3 1991/04/11 02:41:54 rich
-# Cut 2 config. Subdirs.
-#
-#
-#
-
#
# Local Variables:
# fill-column: 131
# End:
#
-# end of configure.template
+# end of configure
-#!/bin/sh
-# Please do not edit this file. It is generated automatically from
-# configure.in and a configure template.
-configdirs=
-
#!/bin/sh
-# Configuration script template
+# Configuration script
# Copyright (C) 1988, 1990, 1991 Free Software Foundation, Inc.
#This file is part of GNU.
# clear some things potentially inherited from environment.
ansi=
+arguments=$*
defaulttargets=
destdir=
fatal=
hostsubdir=
Makefile=Makefile
Makefile_in=Makefile.in
-norecurse=
+norecursion=
+recurring=
removing=
srcdir=
srctrigger=
target=
targets=
+commontargets=
+configdirs=
targetsubdir=
template=
verbose=
for arg in $*;
do
case ${arg} in
- -ansi | +ansi)
+ -ansi | +a*)
ansi=true
+ clib=clib
;;
-destdir=* | +destdir=* | +destdi=* | +destd=* | +dest=* | +des=* | +de=* | +d=*)
destdir=`echo ${arg} | sed 's/[+-]d[a-z]*=//'`
;;
- -forcesubdirs | +forcesubdirs | +forcesubdir | +forcesubdi | +forcesubd \
- | +forcesub | +forcesu | +forces | +force | +forc | +for | +fo | +f)
- forcesubdirs=${arg}
- ;;
-languages=* | +languages=* | +language=* | +languag=* \
| +langua=* | +langu=* | +lang=* | +lan=* | +la=* \
| +l=*)
languages="${languages} `echo ${arg} | sed 's/[+-]l[a-z]*=//'`"
;;
- -gas | +gas | +ga | +g)
+ -gas | +g*)
gas=yes
;;
- -help | +h | +help)
+ -help | +h*)
fatal=true
;;
- -nfp | +nfp | +nf | +n)
+ -nfp | +nf*)
nfp=yes
;;
- -norecurse | +norecurse)
- norecurse=true
+ -norecursion | +no*)
+ norecursion=true
+ ;;
+ -recurring | +recurring | +recurrin | +recurri | +recurr | +recur | +recu | +rec | +re)
+ recurring=true
;;
-rm | +rm)
removing=${arg}
# -srcdir=* | +srcdir=* | +srcdi=* | +srcd=* | +src=* | +sr=* | +s=*)
# srcdir=`echo ${arg} | sed 's/[+-]s[a-z]*=//'`
# ;;
- -target=* | +target=* | +targe=* | +targ=* | +tar=* | +ta=* | +t=*)
+ -subdirs | +f* | +su*)
+ subdirs=${arg}
+ ;;
+ -target=* | +target=* | +targe=* | +targ=* | +tar=* | +ta=*)
if [ -n "${targets}" ] ; then
- forcesubdirs="+forcesubdirs"
+ subdirs="+subdirs"
fi
newtargets="${targets} `echo ${arg} | sed 's/[+-]t[a-z]*=//'`"
targets="${newtargets}"
;;
- -template=* | +template=*)
+ -template=* | +template=* | +templat=* | +templa=* | +templ=* | +temp=* | +tem=* | +te=*)
template=`echo ${arg} | sed 's/[+-]template=//'`
;;
- +verbose | +verbos | +verbo | +verb | +ver | +ve | +v)
+ -v | -verbose | +v*)
verbose=${arg}
;;
-* | +*)
;;
*)
if [ -n "${hosts}" ] ; then
- forcesubdirs="+forcesubdirs"
+ subdirs="+subdirs"
fi
newhosts="${hosts} ${arg}"
if [ -n "${verbose}" ] ; then
echo `pwd`/configure $*
- echo targets=\"${targets}\"
fi
# process host and target only if not rebuilding configure itself or removing.
if [ -z "${hosts}" ] ; then
(echo ;
echo "configure: No HOST specified." ;
- echo) 2>&1
+ echo) 1>&2
fatal=true
fi
fi
echo "Options: [defaults in brackets]" ;
echo " +ansi configure w/ANSI library. [no ansi lib]" ;
echo " +destdir=MYDIR configure for installation into MYDIR. [/usr/local]" ;
- echo " +forcesubdirs configure in subdirectories. [in source directories]" ;
+ echo " +subdirs configure in subdirectories. [in source directories]" ;
echo " +lang=LANG configure to build LANG. [gcc]" ;
echo " +help print this message. [normal config]" ;
echo " +gas configure the compilers for use with gas. [native as]" ;
echo " +nfp configure the compilers default to soft floating point. [hard float]" ;
- echo " +norecurse configure this directory only. [recurse]" ;
+ echo " +norecursion configure this directory only. [recurse]" ;
echo " +rm remove this configuration. [build a configuration]" ;
echo " +target=TARGET configure for TARGET. [TARGET = HOST]" ;
echo " +template=TEM rebuild configure using TEM. [normal config]" ;
echo ;
echo "Where HOST and TARGET are something like \"vax\", \"sun3\", \"encore\", etc." ;
- echo "Asking for more than one \"+target\" implies \"+forcesubdirs\". Any other" ;
+ echo "Asking for more than one \"+target\" implies \"+subdirs\". Any other" ;
echo "options given will apply to all targets.") 1>&2
if [ -r config.status ] ; then
# are we rebuilding config itself?
if [ -n "${template}" ] ; then
if [ ! -r ${template} ] ; then
- echo "Can't find template ${template}."
+ echo '***' "Can't find template ${template}." 1>&2
exit 1
fi
if [ -r configure.in ] ; then
if [ -z "`grep '^# per\-host:' configure.in`" ] ; then
- echo `pwd`/configure.in has no "per-host:" line.
+ echo '***' `pwd`/configure.in has no "per-host:" line. 1>&2
exit 1
fi
if [ -z "`grep '^# per\-target:' configure.in`" ] ; then
- echo `pwd`/configure.in has no "per-target:" line.
+ echo '***' `pwd`/configure.in has no "per-target:" line. 1>&2
exit 1
fi
rm template.new
# mv configure configure.old
mv configure.new configure
- echo Rebuilt configure in `pwd`
- if [ -z "${norecurse}" ] ; then
- # If template is relative path, make it absolute for recursing.
+ if [ -n "${verbose}" ] ; then
+ echo Rebuilt configure in `pwd`
+ fi
+
+ # Now update config.sub from the template directory.
+ if echo "$template" | grep -s 'configure$' ; then
+ cp `echo "$template" | sed s/configure$/config.sub/` ./config.sub.new
+ # mv config.sub config.sub.old
+ mv config.sub.new config.sub
+
+ if [ -n "${verbose}" ] ; then
+ echo Rebuilt config.sub in `pwd`
+ fi
+ fi
+
+ if [ -z "${norecursion}" ] ; then
+ # If template is relative path, make it absolute for recurring.
if echo "${template}" | grep -s '^/' ; then
true
else
(cd $i ;
./configure +template=${template} ${verbose})
else
- echo No configure script in `pwd`/$i
+ echo Warning: No configure script in `pwd`/$i
fi
else
- echo Warning: directory $i is missing.
+ if [ -n "${verbose}" ] ; then
+ echo Warning: directory $i is missing.
+ fi
fi
done
done
# some sanity checks on configure.in
if [ -z "${srctrigger}" ] ; then
- echo srctrigger not set in configure.in. `pwd` not configured.
+ echo Warning: srctrigger not set in configure.in. `pwd` not configured.
exit 1
fi
defaulttargets=true
fi
+ host_alias=${host}
+
+ result=`/bin/sh ./config.sub ${host}`
+ host_cpu=`echo $result | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
+ host_vendor=`echo $result | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
+ host_os=`echo $result | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
+ host=${host_cpu}-${host_vendor}-${host_os}
host_makefile_frag=config/hmake-${host}
#### configure.in per-host parts come in here.
-## end of per-host part.
+if [ "${host_os}" = "posix" ] ; then
+ my_host=posix
+else
+ case "${host_cpu}" in
+ rs6000) my_host=aix ;;
+ mips)
+ case "${host_vendor}" in
+ dec) my_host=dec3100 ;;
+ esac
+ ;;
+ m88k)
+ case "${host_vendor}" in
+ *)
+ case "${host_os}" in
+ dgux) my_host=dgux ;;
+ esac
+ ;;
+ esac
+ ;;
+ m68k)
+ case "${host_vendor}" in
+ hp) my_host=hp9000 ;;
+ sony) my_host=news ;;
+ sun) my_host=sun3 ;;
+ esac
+ ;;
- for target in ${targets} ; do
+ i386)
+ case "${host_vendor}" in
+ *)
+ case "${host_os}" in
+ sysv) my_host=i386v ;;
+ esac
+ ;;
+ esac
+ ;;
- if [ -n "${verbose}" ] ; then
- echo " target=\"${target}\""
- fi
+ sparc)
+ case "${host_vendor}" in
+ sun) my_host=sun4 ;;
+ esac
+ ;;
+
+ rtpc) my_host=rtbsd ;;
+ tahoe | vax) my_host=${host_cpu} ;;
+ esac
+fi
+
+if [ ! -f config/hmake-${my_host} ] ; then
+ echo '***' Binutils do not support host ${host}
+ exit 1
+fi
+
+host_makefile_frag=config/hmake-${my_host}
+
+## end of per-host part.
+
+ for target in ${targets} ; do
+ target_alias=${target}
+ result=`/bin/sh ./config.sub ${target}`
+ target_cpu=`echo $result | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
+ target_vendor=`echo $result | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
+ target_os=`echo $result | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
+ target=${target_cpu}-${target_vendor}-${target_os}
target_makefile_frag=config/tmake-${target}
#### configure.in per-target parts come in here.
files=
links=
-
## end of per-target part.
# Temporarily, we support only direct subdir builds.
- hostsubdir=Host-${host}
- targetsubdir=Target-${target}
+ hostsubdir=H-${host_alias}
+ targetsubdir=T-${target_alias}
if [ -n "${removing}" ] ; then
- if [ -n "${forcesubdirs}" ] ; then
+ if [ -n "${subdirs}" ] ; then
if [ -d "${hostsubdir}" ] ; then
rm -rf ${hostsubdir}/${targetsubdir}
- if [ -z "`(ls ${hostsubdir}) 2>&1 | grep Target-`" ] ; then
+ if [ -z "`(ls ${hostsubdir}) 2>&1 | grep Target- | grep -v Target-independent`" ] ; then
rm -rf ${hostsubdir}
fi
else
rm -f ${Makefile} config.status ${links}
fi
else
- if [ -n "${forcesubdirs}" ] ; then
+ if [ -n "${subdirs}" ] ; then
# check for existing status before allowing forced subdirs.
if [ -f ${Makefile} ] ; then
- echo "${Makefile} already exists in source directory. `pwd` not configured."
+ echo '***' "${Makefile} already exists in source directory. `pwd` not configured." 1>&2
exit 1
fi
if [ ! -d ${hostsubdir} ] ; then mkdir ${hostsubdir} ; fi
cd ${hostsubdir}
- if [ ! -d ${targetsubdir} ] ; then mkdir ${targetsubdir} ; fi
+ if [ ! -d ${targetsubdir} ] ; then
+ if [ -z "${commontargets}" ] ; then
+ mkdir ${targetsubdir}
+ else
+ if [ ! -d Target-independent ] ; then
+ mkdir Target-independent
+ fi
+
+ ${symbolic_link} Target-independent ${targetsubdir}
+ fi # if target independent
+ fi # if no target dir yet
+
cd ${targetsubdir}
srcdir=../..
else
# if not subdir builds, then make sure none exist.
if [ -n "`(ls .) 2>&1 | grep Host-`" ] ; then
- echo "Configured subdirs exist. `pwd` not configured."
+ echo '***' "Configured subdirs exist. `pwd` not configured." 1>&2
exit 1
fi
fi
if [ -n "${srctrigger}" -a ! -r ${srcdir}/${srctrigger} ] ; then
if [ -z "${srcdirdefaulted}" ] ; then
- echo "${progname}: Can't find ${srcname} sources in `pwd`/${srcdir}" 1>&2
+ echo '***' "${progname}: Can't find ${srcname} sources in `pwd`/${srcdir}" 1>&2
else
- echo "${progname}: Can't find ${srcname} sources in `pwd`/. or `pwd`/.." 1>&2
+ echo '***' "${progname}: Can't find ${srcname} sources in `pwd`/. or `pwd`/.." 1>&2
fi
- echo \(At least ${srctrigger} is missing.\) 1>&2
+ echo '***' \(At least ${srctrigger} is missing.\) 1>&2
exit 1
fi
set ${links}; link=$1; shift; links=$*
if [ ! -r ${srcdir}/${file} ] ; then
- echo "${progname}: cannot create a link \"${link}\"," 1>&2
- echo "since the file \"${file}\" does not exist." 1>&2
+ echo '***' "${progname}: cannot create a link \"${link}\"," 1>&2
+ echo '***' "since the file \"${file}\" does not exist." 1>&2
exit 1
fi
${symbolic_link} ${srcdir}/${file} ${link} 2>/dev/null || ${hard_link} ${srcdir}/${file} ${link}
if [ ! -r ${link} ] ; then
- echo "${progname}: unable to link \"${link}\" to \"${srcdir}/${file}\"." 1>&2
+ echo '***' "${progname}: unable to link \"${link}\" to \"${srcdir}/${file}\"." 1>&2
exit 1
fi
- echo "Linked \"${link}\" to \"${srcdir}/${file}\"."
+
+ if [ -n "${verbose}" ] ; then
+ echo "Linked \"${link}\" to \"${srcdir}/${file}\"."
+ fi
done
# Create a .gdbinit file which runs the one in srcdir
fi
# set target, host, VPATH
- echo "host = ${host}" >> ${Makefile}
- echo "target = ${target}" >> ${Makefile}
+ echo "host_alias = ${host_alias}" >> ${Makefile}
+ echo "host_cpu = ${host_cpu}" >> ${Makefile}
+ echo "host_vendor = ${host_vendor}" >> ${Makefile}
+ echo "host_os = ${host_os}" >> ${Makefile}
- if [ -n "${forcesubdirs}" ] ; then
+ echo "target_alias = ${target_alias}" >> ${Makefile}
+ echo "target_cpu = ${target_cpu}" >> ${Makefile}
+ echo "target_vendor = ${target_vendor}" >> ${Makefile}
+ echo "target_os = ${target_os}" >> ${Makefile}
+
+ if [ -n "${subdirs}" ] ; then
echo "subdir = /${hostsubdir}/${targetsubdir}" >> ${Makefile}
else
echo "subdir =" >> ${Makefile}
# Conditionalize the makefile for this host.
if [ -f ${srcdir}/${host_makefile_frag} ] ; then
- sed -e "/^####/ r ${srcdir}/${host_makefile_frag}" ${Makefile} > Makefile.tem
+ (echo "host_makefile_frag = ${srcdir}/${host_makefile_frag}" ;
+ sed -e "/^####/ r ${srcdir}/${host_makefile_frag}" ${Makefile}) > Makefile.tem
mv Makefile.tem ${Makefile}
fi
# Conditionalize the makefile for this target.
if [ -f ${srcdir}/${target_makefile_frag} ] ; then
- sed -e "/^####/ r ${srcdir}/${target_makefile_frag}" ${Makefile} > Makefile.tem
+ (echo "target_makefile_frag = ${srcdir}/${target_makefile_frag}" ;
+ sed -e "/^####/ r ${srcdir}/${target_makefile_frag}" ${Makefile}) > Makefile.tem
mv Makefile.tem ${Makefile}
fi
using=" using \"${host_makefile_frag}\""
fi
+ # remove any form feeds.
+ sed -e "s/\f//" ${Makefile} > Makefile.tem
+ mv Makefile.tem ${Makefile}
+
if [ -f ${srcdir}/${target_makefile_frag} ] ; then
if [ -z "${using}" ] ; then
andusing=" using \"${target_makefile_frag}\""
andusing=${using}
fi
- echo "Created \"${Makefile}\"" in `pwd`${andusing}.
+ if [ -n "${verbose}" -o -z "${recurring}" ] ; then
+ echo "Created \"${Makefile}\"" in `pwd`${andusing}.
+ fi
#### configure.in post-target parts come in here.
## end of post-target part.
- if [ "${host}" = "${target}" ] ; then
- echo "Links are now set up for use with a ${target}." \
- > config.status
- # | tee ${srcdir}/config.status
- else
- echo "Links are now set up for host ${host} and target ${target}." \
- > config.status
- # | tee ${srcdir}/config.status
- fi
+ # describe the chosen configuration in config.status.
+ # Make that file a shellscript which will reestablish
+ # the same configuration. Used in Makefiles to rebuild
+ # Makefiles.
+
+ echo "#!/bin/sh
+# ${srcname} was configured as follows:
+${srcdir}/configure" ${arguments} `if [ -z "${norecursion}" ] ; then echo +norecursion ; else true ; fi` > config.status
+ chmod a+x config.status
originaldir=`pwd`
cd ${srcdir}
fi
+
+ # If there are subdirectories, then recurse.
+ if [ -z "${norecursion}" -a -n "${configdirs}" ] ; then
+ for configdir in ${configdirs} ; do
+ if [ -n "${verbose}" ] ; then
+ echo Configuring ${configdir}...
+ fi
+
+ if [ -d ${configdir} ] ; then
+ (cd ${configdir} ;
+ ./configure +recurring ${host_alias} +target=${target_alias} \
+ ${verbose} ${subdirs} ${removing} +destdir=${destdir}) \
+ | sed 's/^/ /'
+ else
+ if [ -n "${verbose}" ] ; then
+ echo Warning: directory \"${configdir}\" is missing.
+ fi
+ fi
+ done
+ fi
done # for each target
# Now build a Makefile for this host.
- if [ -n "${forcesubdirs}" -a ! -n "${removing}" ] ; then
+ if [ -n "${subdirs}" -a ! -n "${removing}" ] ; then
cd ${hostsubdir}
cat > GNUmakefile << E!O!F
-# Makefile generated by configure for host ${host}.
+# Makefile generated by configure for host ${host_alias}.
ALL := $(shell ls -d Target-*)
fi
done # for each host
-# If there are subdirectories, then recurse.
-
-if [ -n "${norecurse}" -o -z "${configdirs}" ] ; then exit 0 ; fi
-
-# configdirs is not null
-for configdir in ${configdirs} ; do
- echo Configuring ${configdir}...
- specifics=
- commons=
-
- if [ -n "${defaulttargets}" ] ; then
- for host in ${hosts} ; do
- if [ -d ${configdir}.${host} ] ; then
- newspecifics="${specifics} ${host}"
- specifics=${newspecifics}
- else
- newcommons="${commons} ${host}"
- commons=${newcommons}
- fi # if target specific
- done # for each host
-
- if [ -n "${commons}" ] ; then
- if [ -d ${configdir} ] ; then
- (cd ${configdir} ;
- ./configure ${commons} ${verbose} ${forcesubdirs} ${removing} +destdir=${destdir}) \
- | sed 's/^/ /'
- else
- echo Warning: directory \"${configdir}\" is missing.
- fi
- fi # if any common hosts
-
- if [ -n "${specifics}" ] ; then
- for host in ${specifics} ; do
- echo Configuring target specific directory ${configdir}.${host}...
- (cd ${configdir}.${host} ;
- ./configure ${host} ${verbose} ${forcesubdirs} ${removing} +destdir=${destdir}) \
- | sed 's/^/ /'
- done # for host in specifics
- fi # if there are any specifics
- else
-
- for target in ${targets} ; do
- if [ -d ${configdir}.${target} ] ; then
- newspecifics="${specifics} ${target}"
- specifics=${newspecifics}
- else
- newcommons="${commons} +target=${target}"
- commons=${newcommons}
- fi
-
- done # check for target specific dir override
-
- if [ -n "${verbose}" ] ; then
- echo " "commons=\"${commons}\"
- echo " "specifics=\"${specifics}\"
- fi # if verbose
-
- if [ -n "${commons}" ] ; then
- if [ -d ${configdir} ] ; then
- (cd ${configdir} ;
- ./configure ${hosts} ${verbose} ${forcesubdirs} ${removing} \
- ${commons} +destdir=${destdir}) \
- | sed 's/^/ /'
- else
- echo Warning: directory \"${configdir}\" is missing.
- fi
- fi # if any commons
-
- if [ -n "${specifics}" ] ; then
- for target in ${specifics} ; do
- echo Configuring target specific directory ${configdir}.${target}...
- (cd ${configdir}.${target} ;
- ./configure ${hosts} ${verbose} ${forcesubdirs} ${removing} \
- "+target=${target}" +destdir=${destdir}) \
- | sed 's/^/ /'
- done
- fi # if any specifics
- fi # not default targets
-done
-
exit 0
-#
-# $Log$
-# Revision 1.13 1991/08/06 19:12:16 rich
-# Host-level GNUmakefiles.
-#
-# Revision 1.22 1991/07/20 01:22:30 rich
-# propogate gdb changes and destdir fix
-#
-# Revision 1.21 1991/07/20 00:55:20 gnu
-# Roll in new configure that handles GDB. Make sure that the "configure"
-# that is checked-in reflects the latest "configure.in", which includes gdb.
-#
-# Revision 1.9 1991/07/06 04:35:51 gnu
-# Fix bug in configure when iterating targets.
-# Depend on alldeps.mak, not ${srcdir}/alldeps.mak, so it can be found
-# in either spot.
-#
-# Revision 1.8 1991/07/05 00:04:58 gnu
-# Thu Jul 4 14:47:06 1991 John Gilmore (gnu at cygint.cygnus.com)
-#
-# * configure.in, Makefile.in: Avoid rebuilding "depend" as much.
-# Avoid declaring Makefile dependencies, because GNU Make stupidly
-# tries to update it if we do.
-#
-# * coffread.c: Revise for minor changes to bfd internal coff
-# indexes.
-#
-# * configure: If -template= is given a relative path, make it
-# absolute before recurring in subdirectories.
-#
-# Revision 1.7 1991/07/04 15:59:46 gnu
-# Make gdb work with configure. Only thing that doesn't work is the -list
-# option (as far as I know).
-#
-# Revision 1.6 1991/06/04 07:28:16 gnu
-# Change GDB over to GNU General Public License version 2.
-#
-# Revision 1.5 1991/05/19 07:26:54 rich
-# configure changes and -opcode.h movement.
-#
-# Revision 1.4 1991/05/19 00:16:45 rich
-# Configure for gdb.
-#
-# Revision 1.10 1991/05/04 00:58:38 rich
-# Fix program name bug.
-#
-# Revision 1.9 1991/05/03 19:14:18 rich
-# Changed getopt to libiberty, commented out an aborted attempt at host
-# level Makefiles because it caused errors on +rm, add a warning for
-# directories expected to be removed on +rm but that don't exist.
-#
-# Revision 1.8 1991/04/24 16:50:59 rich
-# Three staging checkpoint.
-#
-# Revision 1.7 1991/04/17 01:34:47 rich
-# Added getopt for binutils, fixed problem with host dependancies in
-# configure.template.
-#
-# Revision 1.6 1991/04/16 00:18:44 rich
-# Now handles multiple hosts and targets.
-#
-# Revision 1.5 1991/04/15 23:43:44 rich
-# Now handles multiple hosts and targets.
-#
-# Revision 1.4 1991/04/13 02:11:03 rich
-# Config cut 3. We now almost install a29k.
-#
-# Revision 1.3 1991/04/11 02:41:54 rich
-# Cut 2 config. Subdirs.
-#
-#
-#
-
#
# Local Variables:
# fill-column: 131
# End:
#
-# end of configure.template
+# end of configure
exit 0
-#
-# $Log$
-# Revision 1.41 1991/10/01 03:11:29 rich
-# Trivial cleanup.
-#
-# Revision 1.40 1991/10/01 02:44:32 rich
-# * use aliases as directory names.
-# * put aliases AND parsed triples into Makefiles.
-# * config.status is a shell script.
-# * remove formfeeds from resulting Makefile.
-#
-# Revision 1.36 1991/08/31 03:54:36 rich
-# Welcome emacs to the mess.
-#
-# Revision 1.35 1991/08/26 04:29:31 rich
-# Welcome cvs to the big time.
-#
-# Revision 1.34 1991/08/25 23:40:23 rich
-# rcs enters the soup.
-#
-# Revision 1.33 1991/08/25 21:48:38 rich
-# Adding diff to the fray.
-#
-# Revision 1.32 1991/08/25 20:18:20 rich
-# Adding grep to the fray.
-#
-# Revision 1.31 1991/08/23 04:50:57 rich
-# Minor config polish.
-#
-# Revision 1.22 1991/08/23 03:31:43 rich
-# Minor polish & config mapping.
-#
-#
-# Revision 1.3 1991/04/11 02:41:54 rich
-# Cut 2 config. Subdirs.
-#
-#
-
#
# Local Variables:
# fill-column: 131
-#!/bin/sh
-# Please do not edit this file. It is generated automatically from
-# configure.in and a configure template.
-configdirs=
-
#!/bin/sh
-# Configuration script template
+# Configuration script
# Copyright (C) 1988, 1990, 1991 Free Software Foundation, Inc.
#This file is part of GNU.
# clear some things potentially inherited from environment.
ansi=
+arguments=$*
defaulttargets=
destdir=
fatal=
hostsubdir=
Makefile=Makefile
Makefile_in=Makefile.in
-norecurse=
-recursing=
+norecursion=
+recurring=
removing=
srcdir=
srctrigger=
target=
targets=
commontargets=
+configdirs=
targetsubdir=
template=
verbose=
-nfp | +nf*)
nfp=yes
;;
- -norecurse | +no*)
- norecurse=true
+ -norecursion | +no*)
+ norecursion=true
;;
- -recursing)
- recursing=true
+ -recurring | +recurring | +recurrin | +recurri | +recurr | +recur | +recu | +rec | +re)
+ recurring=true
;;
- -rm | +r*)
+ -rm | +rm)
removing=${arg}
;;
# -srcdir=* | +srcdir=* | +srcdi=* | +srcd=* | +src=* | +sr=* | +s=*)
echo " +help print this message. [normal config]" ;
echo " +gas configure the compilers for use with gas. [native as]" ;
echo " +nfp configure the compilers default to soft floating point. [hard float]" ;
- echo " +norecurse configure this directory only. [recurse]" ;
+ echo " +norecursion configure this directory only. [recurse]" ;
echo " +rm remove this configuration. [build a configuration]" ;
echo " +target=TARGET configure for TARGET. [TARGET = HOST]" ;
echo " +template=TEM rebuild configure using TEM. [normal config]" ;
fi
fi
- if [ -z "${norecurse}" ] ; then
- # If template is relative path, make it absolute for recursing.
+ if [ -z "${norecursion}" ] ; then
+ # If template is relative path, make it absolute for recurring.
if echo "${template}" | grep -s '^/' ; then
true
else
defaulttargets=true
fi
+ host_alias=${host}
+
result=`/bin/sh ./config.sub ${host}`
host_cpu=`echo $result | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
host_vendor=`echo $result | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
for target in ${targets} ; do
+ target_alias=${target}
result=`/bin/sh ./config.sub ${target}`
target_cpu=`echo $result | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
target_vendor=`echo $result | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
;;
esac
+# and target makefile frag
+
+target_makefile_frag=config/tmake-${target_cpu}
+
files="config/ho-${gas_host}.h config/tc-${cpu_type}.c \
config/tc-${cpu_type}.h config/te-${emulation}.h \
config/obj-${obj_format}.h config/obj-${obj_format}.c \
## end of per-target part.
# Temporarily, we support only direct subdir builds.
- hostsubdir=Host-${host}
- targetsubdir=Target-${target}
+ hostsubdir=H-${host_alias}
+ targetsubdir=T-${target_alias}
if [ -n "${removing}" ] ; then
if [ -n "${subdirs}" ] ; then
fi
# set target, host, VPATH
- echo "host = ${host}" >> ${Makefile}
- echo "target = ${target}" >> ${Makefile}
+ echo "host_alias = ${host_alias}" >> ${Makefile}
+ echo "host_cpu = ${host_cpu}" >> ${Makefile}
+ echo "host_vendor = ${host_vendor}" >> ${Makefile}
+ echo "host_os = ${host_os}" >> ${Makefile}
+
+ echo "target_alias = ${target_alias}" >> ${Makefile}
+ echo "target_cpu = ${target_cpu}" >> ${Makefile}
+ echo "target_vendor = ${target_vendor}" >> ${Makefile}
+ echo "target_os = ${target_os}" >> ${Makefile}
if [ -n "${subdirs}" ] ; then
echo "subdir = /${hostsubdir}/${targetsubdir}" >> ${Makefile}
# Conditionalize the makefile for this host.
if [ -f ${srcdir}/${host_makefile_frag} ] ; then
- sed -e "/^####/ r ${srcdir}/${host_makefile_frag}" ${Makefile} > Makefile.tem
+ (echo "host_makefile_frag = ${srcdir}/${host_makefile_frag}" ;
+ sed -e "/^####/ r ${srcdir}/${host_makefile_frag}" ${Makefile}) > Makefile.tem
mv Makefile.tem ${Makefile}
fi
# Conditionalize the makefile for this target.
if [ -f ${srcdir}/${target_makefile_frag} ] ; then
- sed -e "/^####/ r ${srcdir}/${target_makefile_frag}" ${Makefile} > Makefile.tem
+ (echo "target_makefile_frag = ${srcdir}/${target_makefile_frag}" ;
+ sed -e "/^####/ r ${srcdir}/${target_makefile_frag}" ${Makefile}) > Makefile.tem
mv Makefile.tem ${Makefile}
fi
using=" using \"${host_makefile_frag}\""
fi
+ # remove any form feeds.
+ sed -e "s/\f//" ${Makefile} > Makefile.tem
+ mv Makefile.tem ${Makefile}
+
if [ -f ${srcdir}/${target_makefile_frag} ] ; then
if [ -z "${using}" ] ; then
andusing=" using \"${target_makefile_frag}\""
andusing=${using}
fi
- if [ -n "${verbose}" -o -z "${recursing}" ] ; then
+ if [ -n "${verbose}" -o -z "${recurring}" ] ; then
echo "Created \"${Makefile}\"" in `pwd`${andusing}.
fi
## end of post-target part.
- if [ "${host}" = "${target}" ] ; then
- echo "Links are now set up for use with a ${target}." \
- > config.status
- # | tee ${srcdir}/config.status
- else
- echo "Links are now set up for host ${host} and target ${target}." \
- > config.status
- # | tee ${srcdir}/config.status
- fi
+ # describe the chosen configuration in config.status.
+ # Make that file a shellscript which will reestablish
+ # the same configuration. Used in Makefiles to rebuild
+ # Makefiles.
+
+ echo "#!/bin/sh
+# ${srcname} was configured as follows:
+${srcdir}/configure" ${arguments} `if [ -z "${norecursion}" ] ; then echo +norecursion ; else true ; fi` > config.status
+ chmod a+x config.status
originaldir=`pwd`
cd ${srcdir}
fi
# If there are subdirectories, then recurse.
- if [ -z "${norecurse}" -a -n "${configdirs}" ] ; then
+ if [ -z "${norecursion}" -a -n "${configdirs}" ] ; then
for configdir in ${configdirs} ; do
if [ -n "${verbose}" ] ; then
echo Configuring ${configdir}...
if [ -d ${configdir} ] ; then
(cd ${configdir} ;
- ./configure -recursing ${host} +target=${target} \
+ ./configure +recurring ${host_alias} +target=${target_alias} \
${verbose} ${subdirs} ${removing} +destdir=${destdir}) \
| sed 's/^/ /'
else
if [ -n "${subdirs}" -a ! -n "${removing}" ] ; then
cd ${hostsubdir}
cat > GNUmakefile << E!O!F
-# Makefile generated by configure for host ${host}.
+# Makefile generated by configure for host ${host_alias}.
ALL := $(shell ls -d Target-*)
exit 0
-#
-# $Log$
-# Revision 1.23 1991/08/28 21:49:10 rich
-# Update to current standards.
-#
-# Revision 1.35 1991/08/26 04:29:31 rich
-# Welcome cvs to the big time.
-#
-# Revision 1.34 1991/08/25 23:40:23 rich
-# rcs enters the soup.
-#
-# Revision 1.33 1991/08/25 21:48:38 rich
-# Adding diff to the fray.
-#
-# Revision 1.32 1991/08/25 20:18:20 rich
-# Adding grep to the fray.
-#
-# Revision 1.31 1991/08/23 04:50:57 rich
-# Minor config polish.
-#
-# Revision 1.22 1991/08/23 03:31:43 rich
-# Minor polish & config mapping.
-#
-# Revision 1.30 1991/08/22 07:15:51 rich
-# Three part names, etc.
-#
-# Revision 1.29 1991/08/20 04:56:51 rich
-# revisiting error messages
-#
-# Revision 1.28 1991/08/16 19:22:17 rich
-# This is the commontargets change and should be considered
-# experimental.
-#
-# Revision 1.27 1991/08/08 01:14:13 rich
-# allow +f to stand in for +subdirs
-#
-# Revision 1.26 1991/08/07 19:21:32 rich
-# +forcesubdirs -> +subdirs
-#
-# Revision 1.25 1991/08/07 07:05:30 rich
-# Added make.
-#
-# Revision 1.24 1991/08/06 19:26:01 rich
-# revised option parsing.
-#
-# Revision 1.23 1991/08/06 19:12:32 rich
-# Host-level GNUmakefiles.
-#
-# Revision 1.22 1991/07/20 01:22:30 rich
-# propogate gdb changes and destdir fix
-#
-# Revision 1.21 1991/07/20 00:55:20 gnu
-# Roll in new configure that handles GDB. Make sure that the "configure"
-# that is checked-in reflects the latest "configure.in", which includes gdb.
-#
-# Revision 1.9 1991/07/06 04:35:51 gnu
-# Fix bug in configure when iterating targets.
-# Depend on alldeps.mak, not ${srcdir}/alldeps.mak, so it can be found
-# in either spot.
-#
-# Revision 1.8 1991/07/05 00:04:58 gnu
-# Thu Jul 4 14:47:06 1991 John Gilmore (gnu at cygint.cygnus.com)
-#
-# * configure.in, Makefile.in: Avoid rebuilding "depend" as much.
-# Avoid declaring Makefile dependencies, because GNU Make stupidly
-# tries to update it if we do.
-#
-# * coffread.c: Revise for minor changes to bfd internal coff
-# indexes.
-#
-# * configure: If -template= is given a relative path, make it
-# absolute before recurring in subdirectories.
-#
-# Revision 1.7 1991/07/04 15:59:46 gnu
-# Make gdb work with configure. Only thing that doesn't work is the -list
-# option (as far as I know).
-#
-# Revision 1.6 1991/06/04 07:28:16 gnu
-# Change GDB over to GNU General Public License version 2.
-#
-# Revision 1.5 1991/05/19 07:26:54 rich
-# configure changes and -opcode.h movement.
-#
-# Revision 1.4 1991/05/19 00:16:45 rich
-# Configure for gdb.
-#
-# Revision 1.10 1991/05/04 00:58:38 rich
-# Fix program name bug.
-#
-# Revision 1.9 1991/05/03 19:14:18 rich
-# Changed getopt to libiberty, commented out an aborted attempt at host
-# level Makefiles because it caused errors on +rm, add a warning for
-# directories expected to be removed on +rm but that don't exist.
-#
-# Revision 1.8 1991/04/24 16:50:59 rich
-# Three staging checkpoint.
-#
-# Revision 1.7 1991/04/17 01:34:47 rich
-# Added getopt for binutils, fixed problem with host dependancies in
-# configure.template.
-#
-# Revision 1.6 1991/04/16 00:18:44 rich
-# Now handles multiple hosts and targets.
-#
-# Revision 1.5 1991/04/15 23:43:44 rich
-# Now handles multiple hosts and targets.
-#
-# Revision 1.4 1991/04/13 02:11:03 rich
-# Config cut 3. We now almost install a29k.
-#
-# Revision 1.3 1991/04/11 02:41:54 rich
-# Cut 2 config. Subdirs.
-#
-#
-#
-
#
# Local Variables:
# fill-column: 131
# End:
#
-# end of configure.template
+# end of configure
-#!/bin/sh
-# Please do not edit this file. It is generated automatically from
-# configure.in and a configure template.
-configdirs=
-
#!/bin/sh
-# Configuration script template
+# Configuration script
# Copyright (C) 1988, 1990, 1991 Free Software Foundation, Inc.
#This file is part of GNU.
# clear some things potentially inherited from environment.
ansi=
+arguments=$*
defaulttargets=
destdir=
fatal=
hostsubdir=
Makefile=Makefile
Makefile_in=Makefile.in
-norecurse=
-recursing=
+norecursion=
+recurring=
removing=
srcdir=
srctrigger=
target=
targets=
commontargets=
+configdirs=
targetsubdir=
template=
verbose=
-nfp | +nf*)
nfp=yes
;;
- -norecurse | +no*)
- norecurse=true
+ -norecursion | +no*)
+ norecursion=true
;;
- -recursing)
- recursing=true
+ -recurring | +recurring | +recurrin | +recurri | +recurr | +recur | +recu | +rec | +re)
+ recurring=true
;;
- -rm | +r*)
+ -rm | +rm)
removing=${arg}
;;
# -srcdir=* | +srcdir=* | +srcdi=* | +srcd=* | +src=* | +sr=* | +s=*)
echo " +help print this message. [normal config]" ;
echo " +gas configure the compilers for use with gas. [native as]" ;
echo " +nfp configure the compilers default to soft floating point. [hard float]" ;
- echo " +norecurse configure this directory only. [recurse]" ;
+ echo " +norecursion configure this directory only. [recurse]" ;
echo " +rm remove this configuration. [build a configuration]" ;
echo " +target=TARGET configure for TARGET. [TARGET = HOST]" ;
echo " +template=TEM rebuild configure using TEM. [normal config]" ;
fi
fi
- if [ -z "${norecurse}" ] ; then
- # If template is relative path, make it absolute for recursing.
+ if [ -z "${norecursion}" ] ; then
+ # If template is relative path, make it absolute for recurring.
if echo "${template}" | grep -s '^/' ; then
true
else
defaulttargets=true
fi
+ host_alias=${host}
+
result=`/bin/sh ./config.sub ${host}`
host_cpu=`echo $result | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
host_vendor=`echo $result | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
esac
;;
-arm | vax | m88k | merlin | none | np1 | pn | pyramid | tahoe) gdb_host=${host_cpu} ;;
+romp)
+ gdb_host=rtbsd
+ ;;
+
+a29k)
+ gdb_host=ultra3
+ ;;
+
+arm | vax | m88k | merlin | none | np1 | pn | pyramid | tahoe)
+ gdb_host=${host_cpu}
+ ;;
### unhandled hosts
#altosgas
for target in ${targets} ; do
+ target_alias=${target}
result=`/bin/sh ./config.sub ${target}`
target_cpu=`echo $result | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
target_vendor=`echo $result | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
esac
;;
-none | tahoe | vax | np1 | pn | np1 | pn | pyramid | merlin | m88k)
+none | arm | tahoe | vax | np1 | pn | np1 | pn | pyramid | merlin | m88k)
gdb_target=${target_cpu} ;;
-a29k) gdb_target=am29k ;;
-arm) gdb_target=${target_cpu} ;;
+a29k)
+ case "${target_os}" in
+ none|aout|coff) gdb_target=a29k ;;
+ sym1) gdb_target=ultra3 ;;
+ kern) gdb_target=a29k-kern ;;
+ esac
+ ;;
+
mips)
case "${target_vendor}" in
sony) gdb_target=bigmips ;;
## end of per-target part.
# Temporarily, we support only direct subdir builds.
- hostsubdir=Host-${host}
- targetsubdir=Target-${target}
+ hostsubdir=H-${host_alias}
+ targetsubdir=T-${target_alias}
if [ -n "${removing}" ] ; then
if [ -n "${subdirs}" ] ; then
fi
# set target, host, VPATH
- echo "host = ${host}" >> ${Makefile}
- echo "target = ${target}" >> ${Makefile}
+ echo "host_alias = ${host_alias}" >> ${Makefile}
+ echo "host_cpu = ${host_cpu}" >> ${Makefile}
+ echo "host_vendor = ${host_vendor}" >> ${Makefile}
+ echo "host_os = ${host_os}" >> ${Makefile}
+
+ echo "target_alias = ${target_alias}" >> ${Makefile}
+ echo "target_cpu = ${target_cpu}" >> ${Makefile}
+ echo "target_vendor = ${target_vendor}" >> ${Makefile}
+ echo "target_os = ${target_os}" >> ${Makefile}
if [ -n "${subdirs}" ] ; then
echo "subdir = /${hostsubdir}/${targetsubdir}" >> ${Makefile}
# Conditionalize the makefile for this host.
if [ -f ${srcdir}/${host_makefile_frag} ] ; then
- sed -e "/^####/ r ${srcdir}/${host_makefile_frag}" ${Makefile} > Makefile.tem
+ (echo "host_makefile_frag = ${srcdir}/${host_makefile_frag}" ;
+ sed -e "/^####/ r ${srcdir}/${host_makefile_frag}" ${Makefile}) > Makefile.tem
mv Makefile.tem ${Makefile}
fi
# Conditionalize the makefile for this target.
if [ -f ${srcdir}/${target_makefile_frag} ] ; then
- sed -e "/^####/ r ${srcdir}/${target_makefile_frag}" ${Makefile} > Makefile.tem
+ (echo "target_makefile_frag = ${srcdir}/${target_makefile_frag}" ;
+ sed -e "/^####/ r ${srcdir}/${target_makefile_frag}" ${Makefile}) > Makefile.tem
mv Makefile.tem ${Makefile}
fi
using=" using \"${host_makefile_frag}\""
fi
+ # remove any form feeds.
+ sed -e "s/\f//" ${Makefile} > Makefile.tem
+ mv Makefile.tem ${Makefile}
+
if [ -f ${srcdir}/${target_makefile_frag} ] ; then
if [ -z "${using}" ] ; then
andusing=" using \"${target_makefile_frag}\""
andusing=${using}
fi
- if [ -n "${verbose}" -o -z "${recursing}" ] ; then
+ if [ -n "${verbose}" -o -z "${recurring}" ] ; then
echo "Created \"${Makefile}\"" in `pwd`${andusing}.
fi
cat ${srcdir}/alldeps.mak ${srcdir}/depend >>Makefile
## end of post-target part.
- if [ "${host}" = "${target}" ] ; then
- echo "Links are now set up for use with a ${target}." \
- > config.status
- # | tee ${srcdir}/config.status
- else
- echo "Links are now set up for host ${host} and target ${target}." \
- > config.status
- # | tee ${srcdir}/config.status
- fi
+ # describe the chosen configuration in config.status.
+ # Make that file a shellscript which will reestablish
+ # the same configuration. Used in Makefiles to rebuild
+ # Makefiles.
+
+ echo "#!/bin/sh
+# ${srcname} was configured as follows:
+${srcdir}/configure" ${arguments} `if [ -z "${norecursion}" ] ; then echo +norecursion ; else true ; fi` > config.status
+ chmod a+x config.status
originaldir=`pwd`
cd ${srcdir}
fi
# If there are subdirectories, then recurse.
- if [ -z "${norecurse}" -a -n "${configdirs}" ] ; then
+ if [ -z "${norecursion}" -a -n "${configdirs}" ] ; then
for configdir in ${configdirs} ; do
if [ -n "${verbose}" ] ; then
echo Configuring ${configdir}...
if [ -d ${configdir} ] ; then
(cd ${configdir} ;
- ./configure -recursing ${host} +target=${target} \
+ ./configure +recurring ${host_alias} +target=${target_alias} \
${verbose} ${subdirs} ${removing} +destdir=${destdir}) \
| sed 's/^/ /'
else
if [ -n "${subdirs}" -a ! -n "${removing}" ] ; then
cd ${hostsubdir}
cat > GNUmakefile << E!O!F
-# Makefile generated by configure for host ${host}.
+# Makefile generated by configure for host ${host_alias}.
ALL := $(shell ls -d Target-*)
exit 0
-#
-# $Log$
-# Revision 1.19 1991/08/31 00:23:49 grossman
-# Merge in irix support.
-#
-# Revision 1.18 1991/08/23 04:50:17 rich
-# Minor config polish.
-#
-# Revision 1.22 1991/08/23 03:31:43 rich
-# Minor polish & config mapping.
-#
-# Revision 1.30 1991/08/22 07:15:51 rich
-# Three part names, etc.
-#
-# Revision 1.29 1991/08/20 04:56:51 rich
-# revisiting error messages
-#
-# Revision 1.28 1991/08/16 19:22:17 rich
-# This is the commontargets change and should be considered
-# experimental.
-#
-# Revision 1.27 1991/08/08 01:14:13 rich
-# allow +f to stand in for +subdirs
-#
-# Revision 1.26 1991/08/07 19:21:32 rich
-# +forcesubdirs -> +subdirs
-#
-# Revision 1.25 1991/08/07 07:05:30 rich
-# Added make.
-#
-# Revision 1.24 1991/08/06 19:26:01 rich
-# revised option parsing.
-#
-# Revision 1.23 1991/08/06 19:12:32 rich
-# Host-level GNUmakefiles.
-#
-# Revision 1.22 1991/07/20 01:22:30 rich
-# propogate gdb changes and destdir fix
-#
-# Revision 1.21 1991/07/20 00:55:20 gnu
-# Roll in new configure that handles GDB. Make sure that the "configure"
-# that is checked-in reflects the latest "configure.in", which includes gdb.
-#
-# Revision 1.9 1991/07/06 04:35:51 gnu
-# Fix bug in configure when iterating targets.
-# Depend on alldeps.mak, not ${srcdir}/alldeps.mak, so it can be found
-# in either spot.
-#
-# Revision 1.8 1991/07/05 00:04:58 gnu
-# Thu Jul 4 14:47:06 1991 John Gilmore (gnu at cygint.cygnus.com)
-#
-# * configure.in, Makefile.in: Avoid rebuilding "depend" as much.
-# Avoid declaring Makefile dependencies, because GNU Make stupidly
-# tries to update it if we do.
-#
-# * coffread.c: Revise for minor changes to bfd internal coff
-# indexes.
-#
-# * configure: If -template= is given a relative path, make it
-# absolute before recurring in subdirectories.
-#
-# Revision 1.7 1991/07/04 15:59:46 gnu
-# Make gdb work with configure. Only thing that doesn't work is the -list
-# option (as far as I know).
-#
-# Revision 1.6 1991/06/04 07:28:16 gnu
-# Change GDB over to GNU General Public License version 2.
-#
-# Revision 1.5 1991/05/19 07:26:54 rich
-# configure changes and -opcode.h movement.
-#
-# Revision 1.4 1991/05/19 00:16:45 rich
-# Configure for gdb.
-#
-# Revision 1.10 1991/05/04 00:58:38 rich
-# Fix program name bug.
-#
-# Revision 1.9 1991/05/03 19:14:18 rich
-# Changed getopt to libiberty, commented out an aborted attempt at host
-# level Makefiles because it caused errors on +rm, add a warning for
-# directories expected to be removed on +rm but that don't exist.
-#
-# Revision 1.8 1991/04/24 16:50:59 rich
-# Three staging checkpoint.
-#
-# Revision 1.7 1991/04/17 01:34:47 rich
-# Added getopt for binutils, fixed problem with host dependancies in
-# configure.template.
-#
-# Revision 1.6 1991/04/16 00:18:44 rich
-# Now handles multiple hosts and targets.
-#
-# Revision 1.5 1991/04/15 23:43:44 rich
-# Now handles multiple hosts and targets.
-#
-# Revision 1.4 1991/04/13 02:11:03 rich
-# Config cut 3. We now almost install a29k.
-#
-# Revision 1.3 1991/04/11 02:41:54 rich
-# Cut 2 config. Subdirs.
-#
-#
-#
-
#
# Local Variables:
# fill-column: 131
# End:
#
-# end of configure.template
+# end of configure
-#!/bin/sh
-# Please do not edit this file. It is generated automatically from
-# configure.in and a configure template.
-configdirs=
-
#!/bin/sh
-# Configuration script template
+# Configuration script
# Copyright (C) 1988, 1990, 1991 Free Software Foundation, Inc.
#This file is part of GNU.
# clear some things potentially inherited from environment.
ansi=
+arguments=$*
defaulttargets=
destdir=
fatal=
hostsubdir=
Makefile=Makefile
Makefile_in=Makefile.in
-norecurse=
-recursing=
+norecursion=
+recurring=
removing=
srcdir=
srctrigger=
target=
targets=
commontargets=
+configdirs=
targetsubdir=
template=
verbose=
-nfp | +nf*)
nfp=yes
;;
- -norecurse | +no*)
- norecurse=true
+ -norecursion | +no*)
+ norecursion=true
;;
- -recursing)
- recursing=true
+ -recurring | +recurring | +recurrin | +recurri | +recurr | +recur | +recu | +rec | +re)
+ recurring=true
;;
- -rm | +r*)
+ -rm | +rm)
removing=${arg}
;;
# -srcdir=* | +srcdir=* | +srcdi=* | +srcd=* | +src=* | +sr=* | +s=*)
echo " +help print this message. [normal config]" ;
echo " +gas configure the compilers for use with gas. [native as]" ;
echo " +nfp configure the compilers default to soft floating point. [hard float]" ;
- echo " +norecurse configure this directory only. [recurse]" ;
+ echo " +norecursion configure this directory only. [recurse]" ;
echo " +rm remove this configuration. [build a configuration]" ;
echo " +target=TARGET configure for TARGET. [TARGET = HOST]" ;
echo " +template=TEM rebuild configure using TEM. [normal config]" ;
fi
fi
- if [ -z "${norecurse}" ] ; then
- # If template is relative path, make it absolute for recursing.
+ if [ -z "${norecursion}" ] ; then
+ # If template is relative path, make it absolute for recurring.
if echo "${template}" | grep -s '^/' ; then
true
else
defaulttargets=true
fi
+ host_alias=${host}
+
result=`/bin/sh ./config.sub ${host}`
host_cpu=`echo $result | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
host_vendor=`echo $result | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
esac
fi
-if [ ! -f config/hmake-${my_host} ] ; then
- echo '***' Binutils do not support host ${host}
+if [ ! -f config/h-${my_host} ] ; then
+ echo '***' The linker do not support host ${host}
exit 1
fi
-host_makefile_frag=config/hmake-${my_host}
+host_makefile_frag=config/h-${my_host}
## end of per-host part.
for target in ${targets} ; do
+ target_alias=${target}
result=`/bin/sh ./config.sub ${target}`
target_cpu=`echo $result | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
target_vendor=`echo $result | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
;;
m88k) my_target=m88k-bcs ;;
a29k) my_target=coff-a29k ;;
+m68k)
+ case ${target_vendor} in
+ sun) my_target=sun3 ;;
+ sony) my_target=news;;
+ *) echo "Unknown 68k target vendor:" ${target_vendor} ;;
+ esac
esac
-target_makefile_frag=config/tmake-${my_target}
+target_makefile_frag=config/t-${my_target}
files=
links=
## end of per-target part.
# Temporarily, we support only direct subdir builds.
- hostsubdir=Host-${host}
- targetsubdir=Target-${target}
+ hostsubdir=H-${host_alias}
+ targetsubdir=T-${target_alias}
if [ -n "${removing}" ] ; then
if [ -n "${subdirs}" ] ; then
fi
# set target, host, VPATH
- echo "host = ${host}" >> ${Makefile}
- echo "target = ${target}" >> ${Makefile}
+ echo "host_alias = ${host_alias}" >> ${Makefile}
+ echo "host_cpu = ${host_cpu}" >> ${Makefile}
+ echo "host_vendor = ${host_vendor}" >> ${Makefile}
+ echo "host_os = ${host_os}" >> ${Makefile}
+
+ echo "target_alias = ${target_alias}" >> ${Makefile}
+ echo "target_cpu = ${target_cpu}" >> ${Makefile}
+ echo "target_vendor = ${target_vendor}" >> ${Makefile}
+ echo "target_os = ${target_os}" >> ${Makefile}
if [ -n "${subdirs}" ] ; then
echo "subdir = /${hostsubdir}/${targetsubdir}" >> ${Makefile}
# Conditionalize the makefile for this host.
if [ -f ${srcdir}/${host_makefile_frag} ] ; then
- sed -e "/^####/ r ${srcdir}/${host_makefile_frag}" ${Makefile} > Makefile.tem
+ (echo "host_makefile_frag = ${srcdir}/${host_makefile_frag}" ;
+ sed -e "/^####/ r ${srcdir}/${host_makefile_frag}" ${Makefile}) > Makefile.tem
mv Makefile.tem ${Makefile}
fi
# Conditionalize the makefile for this target.
if [ -f ${srcdir}/${target_makefile_frag} ] ; then
- sed -e "/^####/ r ${srcdir}/${target_makefile_frag}" ${Makefile} > Makefile.tem
+ (echo "target_makefile_frag = ${srcdir}/${target_makefile_frag}" ;
+ sed -e "/^####/ r ${srcdir}/${target_makefile_frag}" ${Makefile}) > Makefile.tem
mv Makefile.tem ${Makefile}
fi
using=" using \"${host_makefile_frag}\""
fi
+ # remove any form feeds.
+ sed -e "s/\f//" ${Makefile} > Makefile.tem
+ mv Makefile.tem ${Makefile}
+
if [ -f ${srcdir}/${target_makefile_frag} ] ; then
if [ -z "${using}" ] ; then
andusing=" using \"${target_makefile_frag}\""
andusing=${using}
fi
- if [ -n "${verbose}" -o -z "${recursing}" ] ; then
+ if [ -n "${verbose}" -o -z "${recurring}" ] ; then
echo "Created \"${Makefile}\"" in `pwd`${andusing}.
fi
## end of post-target part.
- if [ "${host}" = "${target}" ] ; then
- echo "Links are now set up for use with a ${target}." \
- > config.status
- # | tee ${srcdir}/config.status
- else
- echo "Links are now set up for host ${host} and target ${target}." \
- > config.status
- # | tee ${srcdir}/config.status
- fi
+ # describe the chosen configuration in config.status.
+ # Make that file a shellscript which will reestablish
+ # the same configuration. Used in Makefiles to rebuild
+ # Makefiles.
+
+ echo "#!/bin/sh
+# ${srcname} was configured as follows:
+${srcdir}/configure" ${arguments} `if [ -z "${norecursion}" ] ; then echo +norecursion ; else true ; fi` > config.status
+ chmod a+x config.status
originaldir=`pwd`
cd ${srcdir}
fi
# If there are subdirectories, then recurse.
- if [ -z "${norecurse}" -a -n "${configdirs}" ] ; then
+ if [ -z "${norecursion}" -a -n "${configdirs}" ] ; then
for configdir in ${configdirs} ; do
if [ -n "${verbose}" ] ; then
echo Configuring ${configdir}...
if [ -d ${configdir} ] ; then
(cd ${configdir} ;
- ./configure -recursing ${host} +target=${target} \
+ ./configure +recurring ${host_alias} +target=${target_alias} \
${verbose} ${subdirs} ${removing} +destdir=${destdir}) \
| sed 's/^/ /'
else
if [ -n "${subdirs}" -a ! -n "${removing}" ] ; then
cd ${hostsubdir}
cat > GNUmakefile << E!O!F
-# Makefile generated by configure for host ${host}.
+# Makefile generated by configure for host ${host_alias}.
ALL := $(shell ls -d Target-*)
exit 0
-#
-# $Log$
-# Revision 1.20 1991/08/22 06:21:45 rich
-# Three part names & all.
-#
-# Revision 1.29 1991/08/20 04:56:51 rich
-# revisiting error messages
-#
-# Revision 1.28 1991/08/16 19:22:17 rich
-# This is the commontargets change and should be considered
-# experimental.
-#
-# Revision 1.27 1991/08/08 01:14:13 rich
-# allow +f to stand in for +subdirs
-#
-# Revision 1.26 1991/08/07 19:21:32 rich
-# +forcesubdirs -> +subdirs
-#
-# Revision 1.25 1991/08/07 07:05:30 rich
-# Added make.
-#
-# Revision 1.24 1991/08/06 19:26:01 rich
-# revised option parsing.
-#
-# Revision 1.23 1991/08/06 19:12:32 rich
-# Host-level GNUmakefiles.
-#
-# Revision 1.22 1991/07/20 01:22:30 rich
-# propogate gdb changes and destdir fix
-#
-# Revision 1.21 1991/07/20 00:55:20 gnu
-# Roll in new configure that handles GDB. Make sure that the "configure"
-# that is checked-in reflects the latest "configure.in", which includes gdb.
-#
-# Revision 1.9 1991/07/06 04:35:51 gnu
-# Fix bug in configure when iterating targets.
-# Depend on alldeps.mak, not ${srcdir}/alldeps.mak, so it can be found
-# in either spot.
-#
-# Revision 1.8 1991/07/05 00:04:58 gnu
-# Thu Jul 4 14:47:06 1991 John Gilmore (gnu at cygint.cygnus.com)
-#
-# * configure.in, Makefile.in: Avoid rebuilding "depend" as much.
-# Avoid declaring Makefile dependencies, because GNU Make stupidly
-# tries to update it if we do.
-#
-# * coffread.c: Revise for minor changes to bfd internal coff
-# indexes.
-#
-# * configure: If -template= is given a relative path, make it
-# absolute before recurring in subdirectories.
-#
-# Revision 1.7 1991/07/04 15:59:46 gnu
-# Make gdb work with configure. Only thing that doesn't work is the -list
-# option (as far as I know).
-#
-# Revision 1.6 1991/06/04 07:28:16 gnu
-# Change GDB over to GNU General Public License version 2.
-#
-# Revision 1.5 1991/05/19 07:26:54 rich
-# configure changes and -opcode.h movement.
-#
-# Revision 1.4 1991/05/19 00:16:45 rich
-# Configure for gdb.
-#
-# Revision 1.10 1991/05/04 00:58:38 rich
-# Fix program name bug.
-#
-# Revision 1.9 1991/05/03 19:14:18 rich
-# Changed getopt to libiberty, commented out an aborted attempt at host
-# level Makefiles because it caused errors on +rm, add a warning for
-# directories expected to be removed on +rm but that don't exist.
-#
-# Revision 1.8 1991/04/24 16:50:59 rich
-# Three staging checkpoint.
-#
-# Revision 1.7 1991/04/17 01:34:47 rich
-# Added getopt for binutils, fixed problem with host dependancies in
-# configure.template.
-#
-# Revision 1.6 1991/04/16 00:18:44 rich
-# Now handles multiple hosts and targets.
-#
-# Revision 1.5 1991/04/15 23:43:44 rich
-# Now handles multiple hosts and targets.
-#
-# Revision 1.4 1991/04/13 02:11:03 rich
-# Config cut 3. We now almost install a29k.
-#
-# Revision 1.3 1991/04/11 02:41:54 rich
-# Cut 2 config. Subdirs.
-#
-#
-#
-
#
# Local Variables:
# fill-column: 131
# End:
#
-# end of configure.template
+# end of configure
-#!/bin/sh
-# Please do not edit this file. It is generated automatically from
-# configure.in and a configure template.
-configdirs=
-
#!/bin/sh
-# Configuration script template
+# Configuration script
# Copyright (C) 1988, 1990, 1991 Free Software Foundation, Inc.
#This file is part of GNU.
# clear some things potentially inherited from environment.
ansi=
+arguments=$*
defaulttargets=
destdir=
fatal=
hostsubdir=
Makefile=Makefile
Makefile_in=Makefile.in
-norecurse=
-recursing=
+norecursion=
+recurring=
removing=
srcdir=
srctrigger=
target=
targets=
commontargets=
+configdirs=
targetsubdir=
template=
verbose=
-nfp | +nf*)
nfp=yes
;;
- -norecurse | +no*)
- norecurse=true
+ -norecursion | +no*)
+ norecursion=true
;;
- -recursing)
- recursing=true
+ -recurring | +recurring | +recurrin | +recurri | +recurr | +recur | +recu | +rec | +re)
+ recurring=true
;;
- -rm | +r*)
+ -rm | +rm)
removing=${arg}
;;
# -srcdir=* | +srcdir=* | +srcdi=* | +srcd=* | +src=* | +sr=* | +s=*)
echo " +help print this message. [normal config]" ;
echo " +gas configure the compilers for use with gas. [native as]" ;
echo " +nfp configure the compilers default to soft floating point. [hard float]" ;
- echo " +norecurse configure this directory only. [recurse]" ;
+ echo " +norecursion configure this directory only. [recurse]" ;
echo " +rm remove this configuration. [build a configuration]" ;
echo " +target=TARGET configure for TARGET. [TARGET = HOST]" ;
echo " +template=TEM rebuild configure using TEM. [normal config]" ;
fi
fi
- if [ -z "${norecurse}" ] ; then
- # If template is relative path, make it absolute for recursing.
+ if [ -z "${norecursion}" ] ; then
+ # If template is relative path, make it absolute for recurring.
if echo "${template}" | grep -s '^/' ; then
true
else
defaulttargets=true
fi
+ host_alias=${host}
+
result=`/bin/sh ./config.sub ${host}`
host_cpu=`echo $result | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
host_vendor=`echo $result | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
for target in ${targets} ; do
+ target_alias=${target}
result=`/bin/sh ./config.sub ${target}`
target_cpu=`echo $result | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
target_vendor=`echo $result | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
## end of per-target part.
# Temporarily, we support only direct subdir builds.
- hostsubdir=Host-${host}
- targetsubdir=Target-${target}
+ hostsubdir=H-${host_alias}
+ targetsubdir=T-${target_alias}
if [ -n "${removing}" ] ; then
if [ -n "${subdirs}" ] ; then
fi
# set target, host, VPATH
- echo "host = ${host}" >> ${Makefile}
- echo "target = ${target}" >> ${Makefile}
+ echo "host_alias = ${host_alias}" >> ${Makefile}
+ echo "host_cpu = ${host_cpu}" >> ${Makefile}
+ echo "host_vendor = ${host_vendor}" >> ${Makefile}
+ echo "host_os = ${host_os}" >> ${Makefile}
+
+ echo "target_alias = ${target_alias}" >> ${Makefile}
+ echo "target_cpu = ${target_cpu}" >> ${Makefile}
+ echo "target_vendor = ${target_vendor}" >> ${Makefile}
+ echo "target_os = ${target_os}" >> ${Makefile}
if [ -n "${subdirs}" ] ; then
echo "subdir = /${hostsubdir}/${targetsubdir}" >> ${Makefile}
# Conditionalize the makefile for this host.
if [ -f ${srcdir}/${host_makefile_frag} ] ; then
- sed -e "/^####/ r ${srcdir}/${host_makefile_frag}" ${Makefile} > Makefile.tem
+ (echo "host_makefile_frag = ${srcdir}/${host_makefile_frag}" ;
+ sed -e "/^####/ r ${srcdir}/${host_makefile_frag}" ${Makefile}) > Makefile.tem
mv Makefile.tem ${Makefile}
fi
# Conditionalize the makefile for this target.
if [ -f ${srcdir}/${target_makefile_frag} ] ; then
- sed -e "/^####/ r ${srcdir}/${target_makefile_frag}" ${Makefile} > Makefile.tem
+ (echo "target_makefile_frag = ${srcdir}/${target_makefile_frag}" ;
+ sed -e "/^####/ r ${srcdir}/${target_makefile_frag}" ${Makefile}) > Makefile.tem
mv Makefile.tem ${Makefile}
fi
using=" using \"${host_makefile_frag}\""
fi
+ # remove any form feeds.
+ sed -e "s/\f//" ${Makefile} > Makefile.tem
+ mv Makefile.tem ${Makefile}
+
if [ -f ${srcdir}/${target_makefile_frag} ] ; then
if [ -z "${using}" ] ; then
andusing=" using \"${target_makefile_frag}\""
andusing=${using}
fi
- if [ -n "${verbose}" -o -z "${recursing}" ] ; then
+ if [ -n "${verbose}" -o -z "${recurring}" ] ; then
echo "Created \"${Makefile}\"" in `pwd`${andusing}.
fi
## end of post-target part.
- if [ "${host}" = "${target}" ] ; then
- echo "Links are now set up for use with a ${target}." \
- > config.status
- # | tee ${srcdir}/config.status
- else
- echo "Links are now set up for host ${host} and target ${target}." \
- > config.status
- # | tee ${srcdir}/config.status
- fi
+ # describe the chosen configuration in config.status.
+ # Make that file a shellscript which will reestablish
+ # the same configuration. Used in Makefiles to rebuild
+ # Makefiles.
+
+ echo "#!/bin/sh
+# ${srcname} was configured as follows:
+${srcdir}/configure" ${arguments} `if [ -z "${norecursion}" ] ; then echo +norecursion ; else true ; fi` > config.status
+ chmod a+x config.status
originaldir=`pwd`
cd ${srcdir}
fi
# If there are subdirectories, then recurse.
- if [ -z "${norecurse}" -a -n "${configdirs}" ] ; then
+ if [ -z "${norecursion}" -a -n "${configdirs}" ] ; then
for configdir in ${configdirs} ; do
if [ -n "${verbose}" ] ; then
echo Configuring ${configdir}...
if [ -d ${configdir} ] ; then
(cd ${configdir} ;
- ./configure -recursing ${host} +target=${target} \
+ ./configure +recurring ${host_alias} +target=${target_alias} \
${verbose} ${subdirs} ${removing} +destdir=${destdir}) \
| sed 's/^/ /'
else
if [ -n "${subdirs}" -a ! -n "${removing}" ] ; then
cd ${hostsubdir}
cat > GNUmakefile << E!O!F
-# Makefile generated by configure for host ${host}.
+# Makefile generated by configure for host ${host_alias}.
ALL := $(shell ls -d Target-*)
exit 0
-#
-# $Log$
-# Revision 1.13 1991/08/31 01:38:08 grossman
-# Add in sysv configuration stuff.
-#
-# Revision 1.12 1991/08/23 04:45:38 rich
-# Minor config polish.
-#
-# Revision 1.22 1991/08/23 03:31:43 rich
-# Minor polish & config mapping.
-#
-# Revision 1.30 1991/08/22 07:15:51 rich
-# Three part names, etc.
-#
-# Revision 1.29 1991/08/20 04:56:51 rich
-# revisiting error messages
-#
-# Revision 1.28 1991/08/16 19:22:17 rich
-# This is the commontargets change and should be considered
-# experimental.
-#
-# Revision 1.27 1991/08/08 01:14:13 rich
-# allow +f to stand in for +subdirs
-#
-# Revision 1.26 1991/08/07 19:21:32 rich
-# +forcesubdirs -> +subdirs
-#
-# Revision 1.25 1991/08/07 07:05:30 rich
-# Added make.
-#
-# Revision 1.24 1991/08/06 19:26:01 rich
-# revised option parsing.
-#
-# Revision 1.23 1991/08/06 19:12:32 rich
-# Host-level GNUmakefiles.
-#
-# Revision 1.22 1991/07/20 01:22:30 rich
-# propogate gdb changes and destdir fix
-#
-# Revision 1.21 1991/07/20 00:55:20 gnu
-# Roll in new configure that handles GDB. Make sure that the "configure"
-# that is checked-in reflects the latest "configure.in", which includes gdb.
-#
-# Revision 1.9 1991/07/06 04:35:51 gnu
-# Fix bug in configure when iterating targets.
-# Depend on alldeps.mak, not ${srcdir}/alldeps.mak, so it can be found
-# in either spot.
-#
-# Revision 1.8 1991/07/05 00:04:58 gnu
-# Thu Jul 4 14:47:06 1991 John Gilmore (gnu at cygint.cygnus.com)
-#
-# * configure.in, Makefile.in: Avoid rebuilding "depend" as much.
-# Avoid declaring Makefile dependencies, because GNU Make stupidly
-# tries to update it if we do.
-#
-# * coffread.c: Revise for minor changes to bfd internal coff
-# indexes.
-#
-# * configure: If -template= is given a relative path, make it
-# absolute before recurring in subdirectories.
-#
-# Revision 1.7 1991/07/04 15:59:46 gnu
-# Make gdb work with configure. Only thing that doesn't work is the -list
-# option (as far as I know).
-#
-# Revision 1.6 1991/06/04 07:28:16 gnu
-# Change GDB over to GNU General Public License version 2.
-#
-# Revision 1.5 1991/05/19 07:26:54 rich
-# configure changes and -opcode.h movement.
-#
-# Revision 1.4 1991/05/19 00:16:45 rich
-# Configure for gdb.
-#
-# Revision 1.10 1991/05/04 00:58:38 rich
-# Fix program name bug.
-#
-# Revision 1.9 1991/05/03 19:14:18 rich
-# Changed getopt to libiberty, commented out an aborted attempt at host
-# level Makefiles because it caused errors on +rm, add a warning for
-# directories expected to be removed on +rm but that don't exist.
-#
-# Revision 1.8 1991/04/24 16:50:59 rich
-# Three staging checkpoint.
-#
-# Revision 1.7 1991/04/17 01:34:47 rich
-# Added getopt for binutils, fixed problem with host dependancies in
-# configure.template.
-#
-# Revision 1.6 1991/04/16 00:18:44 rich
-# Now handles multiple hosts and targets.
-#
-# Revision 1.5 1991/04/15 23:43:44 rich
-# Now handles multiple hosts and targets.
-#
-# Revision 1.4 1991/04/13 02:11:03 rich
-# Config cut 3. We now almost install a29k.
-#
-# Revision 1.3 1991/04/11 02:41:54 rich
-# Cut 2 config. Subdirs.
-#
-#
-#
-
#
# Local Variables:
# fill-column: 131
# End:
#
-# end of configure.template
+# end of configure